/*******************
Ad Format: Expandable Banner
Amazon Template Version: 1.0.0
Last Updated On: 2021-08-13
*******************/

function checkIfAdKitReady(event) {
	adkit.onReady(initializeCreative);
}

function initializeCreative(event) {
	addEventListeners();
}


function addEventListeners() {
	expand_btn.addEventListener("click", handleExpandButton);
	overlay_hotspot.addEventListener("click", handleClickOverlay);
}

function handleClickOverlay() {
	EB.clickthrough("Click_Main_Collapsed");
}

function handleExpandButton() {
	EB.expand();
}

window.addEventListener("load", checkIfAdKitReady);