/*******************
Ad Format: Expandable Banner
Amazon Template Version: 1.0.0
Last Updated On: 2021-08-15
*******************/

function checkIfAdKitReady(event) {
	adkit.onReady(initializeCreative);
}

function initializeCreative(event) {
	addEventListeners();
	initializeVideoTracking();
}

function addEventListeners() {
	collapse_btn.addEventListener("click", handleCollapseButton);
	user_action_btn.addEventListener("click", handleUserActionButton);
	clickthrough_btn.addEventListener("click", handleClickthroughButton);
	overlay_hotspot.addEventListener("click", handleClickOverlay);
}

function initializeVideoTracking() {
	videoTrackingModule = new EBG.VideoModule(video);
}

function handleClickOverlay() {
	EB.clickthrough("Click_Main_Expanded");
	handleCollapseButton();
}

function handleCollapseButton() {
	EB.collapse({
		panelName: "panel1"
	});
}

function handleUserActionButton() {
	EB.userActionCounter("CustomInteraction_Panel1");
}

function handleClickthroughButton() {
	EB.clickthrough();
	handleCollapseButton();
}

window.addEventListener("load", checkIfAdKitReady);